/**
 * $author Ebenezer Obasi <info@eobasi.com>
 * $package ow_plugins.helpcenter.static.js
 * $since 1.0
 */
 
function HELPCENTER_Rate(id, vote)
{
	var actionUrl = window.helpcenterRateActionUrl;
	
	$.ajax({
		type: 'post',
		url: actionUrl,
		data: {itemId: id, vote: vote},
		dataType: 'json',
		
		success: function(json)
		{
			if(typeof(json.isAuthenticated) != 'undefined' && json.isAuthenticated == false)
			{
				OW.info(json.msg);
				return;
			}
			
			$('#rate-item-'+id).addClass('ow_green');
			$('#rate-item-'+id).html(OW.getLanguageText('helpcenter', 'vote_thanks'));
		}
	});
}